# Uses of Class
org.apache.avro.SchemaBuilder.LongBuilder

Packages that use SchemaBuilder.LongBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.LongBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.LongBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.LongBuilder<SchemaBuilder.LongDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`longBuilder()`
Build a long type that can set custom properties.
`final SchemaBuilder.LongBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`longBuilder()`
Build a long type that can set custom properties.
`SchemaBuilder.LongBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.LongDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`longBuilder()`
Build a long type that can set custom properties.
`protected SchemaBuilder.LongBuilder<R>`
SchemaBuilder.LongBuilder.`self()`